import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDatadogRolesConfig extends cdktf.TerraformMetaArguments {
    /**
    * Filter all roles by the given string.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/d/roles#filter DataDatadogRoles#filter}
    */
    readonly filter?: string;
}
export declare class DataDatadogRolesRoles extends cdktf.ComplexComputedList {
    get id(): string;
    get name(): string;
    get userCount(): number;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/d/roles datadog_roles}
*/
export declare class DataDatadogRoles extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/d/roles datadog_roles} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDatadogRolesConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDatadogRolesConfig);
    private _filter?;
    get filter(): string;
    set filter(value: string);
    resetFilter(): void;
    get filterInput(): string | undefined;
    get id(): string;
    roles(index: string): DataDatadogRolesRoles;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
